Looking for ePay classic docs? Go to docs.epay.dk
ePay documentationDocsePay documentation
Management

List Points of Sales

Test this endpoint live

Open the same request directly in API Explorer.

Open in API Explorer

Server URL

GET
/public/api/v1/management/point-of-sales

Retrieve a paginated list of points of sale. Query parameters page and perPage can be used to control pagination.

Authorization

BearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

pageinteger

Page number.

Default:
1
perPageinteger

Number of items per page.

Default:
25
Range:
value <= 500

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/public/api/v1/management/point-of-sales"
{  "page": 0,  "perPage": 0,  "lastPage": 0,  "total": 0,  "firstPageUrl": "string",  "lastPageUrl": "string",  "nextPageUrl": "string",  "previousPageUrl": "string",  "nextPage": 0,  "previousPage": 0,  "from": 0,  "to": 0,  "path": "string",  "items": [    {      "pointOfSale": {        "id": "0192473a-e381-705c-b61c-fc2ac9624afc",        "name": "Store #42",        "descriptor": "POS Copenhagen",        "createdAt": "2024-10-01T10:38:14.658688472+02:00",        "updatedAt": "2024-10-01T12:38:14.658688472+02:00"      },      "hostedConfiguration": {        "instantCapture": "OFF",        "scaMode": "SKIP",        "timeout": 60,        "notificationUrl": "https://example.com/notification",        "successUrl": "https://example.com/success",        "failureUrl": "https://example.com/failure",        "retryUrl": null,        "maxAttempts": 10,        "processor": [          "shift4",          "nets"        ],        "exemptions": [          "TRA",          "LVT"        ],        "reportFailure": false      }    }  ]}
{  "errorCode": "SERVER_ERROR",  "message": "An unexpected system error"}
{  "errorCode": "VALIDATION_ERROR",  "message": "Input validation errors",  "errors": {    "amount": [      "[required]: Is a required non-nullable field",      "[int]: Must be an integer",      "[min:0]: Must be greater than 0",      "[max:999999999]: Must be less than 999999999"    ]  }}
{  "errorCode": "SERVER_ERROR",  "message": "An unexpected system error"}